package com.junmp.jyzb.api.bean.req;

import com.junmp.v2.common.bean.request.BaseRequest;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class UpdateInventoryReq extends BaseRequest {
    /**
     * id
     */
    @NotBlank(message = "id不能为空",groups = {edit.class})
    private String id;

    private String applyTime;
    /**
     * 工作流
     */
    private String processDefinitionId;

    /**
     *
     */
    @NotNull(message = "仓库id不能为空",groups = {add.class,edit.class})
    private Long orgId;

    /**
     * 单据单号
     */
    private String orgName;

    private String examineState;

    private String userId;
}

